SchedConfUpdateInfo (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.webapp.dao, class: SchedConfUpdateInfo

Package org.apache.hadoop.yarn.webapp.dao

# Class SchedConfUpdateInfo

java.lang.Object
org.apache.hadoop.yarn.webapp.dao.SchedConfUpdateInfo

public class SchedConfUpdateInfo extends Object
Information for making scheduler configuration changes (supports adding, removing, or updating a queue, as well as global scheduler conf changes).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SchedConfUpdateInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ArrayList<QueueConfigInfo>`
  `getAddQueueInfo()`
  `HashMap<String,String>`
  `getGlobalParams()`
  `ArrayList<String>`
  `getRemoveQueueInfo()`
  `String`
  `getSubClusterId()`
  `ArrayList<QueueConfigInfo>`
  `getUpdateQueueInfo()`
  `void`
  `setAddQueueInfo(ArrayList<QueueConfigInfo> addQueueInfo)`
  `void`
  `setGlobalParams(HashMap<String,String> globalInfo)`
  `void`
  `setRemoveQueueInfo(ArrayList<String> removeQueueInfo)`
  `void`
  `setSubClusterId(String subClusterId)`
  `void`
  `setUpdateQueueInfo(ArrayList<QueueConfigInfo> updateQueueInfo)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SchedConfUpdateInfo

    public SchedConfUpdateInfo()

- ## Method Details

  - ### getAddQueueInfo

    public ArrayList<QueueConfigInfo> getAddQueueInfo()

  - ### setAddQueueInfo

    public void setAddQueueInfo(ArrayList<QueueConfigInfo> addQueueInfo)

  - ### getRemoveQueueInfo

    public ArrayList<String> getRemoveQueueInfo()

  - ### setRemoveQueueInfo

    public void setRemoveQueueInfo(ArrayList<String> removeQueueInfo)

  - ### getUpdateQueueInfo

    public ArrayList<QueueConfigInfo> getUpdateQueueInfo()

  - ### setUpdateQueueInfo

    public void setUpdateQueueInfo(ArrayList<QueueConfigInfo> updateQueueInfo)

  - ### getGlobalParams

    public HashMap<String,String> getGlobalParams()

  - ### setGlobalParams

    public void setGlobalParams(HashMap<String,String> globalInfo)

  - ### getSubClusterId

    public String getSubClusterId()

  - ### setSubClusterId

    public void setSubClusterId(String subClusterId)